# scripts/key-management/manage-keyvaults.sh

**Name**: `manage-keyvaults.sh`

Manage Key Vault lifecycle: deploy, status, permissions, store-keys, verify, list, complete


**Uses common library**: yes

**Has --help**: yes

## Usage
`${SCRIPT_NAME} [deploy|status|permissions|store-keys|verify|list|complete] [--dry-run] [--region <name>] [--help]`

### Options
```
--dry-run         Do not execute changes
--region <name>   Limit to a specific region
--help            Show usage
```

## Examples
```bash
${SCRIPT_NAME} [deploy|status|permissions|store-keys|verify|list|complete] [--dry-run] [--region <name>] [--help]
```
